package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.Getter;

@Getter
public enum UserTypeEnum implements BaseEnum {
    GENERAL("GENERAL","普通用户"),
    SERVICE("SERVICE","分销员"),
    WORKER("WORKER","师傅");

    UserTypeEnum(String key,String remark) {
        this.key = key;this.remark=remark;
    }
    @EnumValue
    private String key;
    private String remark;
}
